build frontend:
  stage: build
  image: node:16
  script:
    - cd app
    - npm ci
    - npm run build
  artifacts:
    expire_in: 1 hour
    paths:
        - app/dist/finance-app

deploy frontend:
  stage: deploy
  image: alpine:3.16
  before_script:
    - apk add --no-cache aws-cli
  script:
    - aws s3 --endpoint-url=https://storage.yandexcloud.net cp app/dist/finance-app s3://$S3_BUCKET --recursive
  only:
    refs:
      - main
      - deploy